# Открываем файл data.txt и читаем строки
with open("data.txt", "r", encoding="utf-8") as file:
    lines = file.readlines()

numbers = []
words = []

# Разделяем числа и слова, сохраняя порядок
for line in lines:
    line = line.strip()  # Убираем пробелы и переносы строк
    if line.isdigit():  # Проверяем, является ли строка числом
        numbers.append(line)
    else:
        words.append(line)

# Записываем результат в output.txt, сохраняя порядок
with open("output.txt", "w", encoding="utf-8") as output_file:
    output_file.write("Слова:\n")
    for word in words:
        output_file.write(word + "\n")
    
    output_file.write("\nЧисла:\n")
    for number in numbers:
        output_file.write(number + "\n")

print("Файл output.txt успешно создан!")

